TAAS - Feature #98

XO Purchase List
11/08/2022 02:11 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 05/30/2023
Priority: Normal Due date: 06/02/2023
Assignee: Baseem Shan % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: XO Purchase List

Description

Coding XO Purchase List

History

#1 - 11/24/2022 11:37 AM - Anil KV
- Assignee changed from Anil KV to Junaid M

#2 - 12/05/2022 08:31 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- Status changed from New to Open

- % Done changed from 0 to 10

Discuss About Xo Status Logic, Sold, Void ,Balance

#3 - 12/07/2022 11:55 AM - Anil KV
- Assignee changed from Junaid M to Christy Saint

#4 - 05/29/2023 03:56 PM - Christy Saint
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#5 - 05/31/2023 05:01 PM - Junaid M
- File XO-LIST-QUERY.sql added

#6 - 06/02/2023 12:18 PM - Christy Saint

- Due date set to 06/02/2023

- Status changed from Coding Started to Coding Done
- Start date changed from 11/08/2022 to 05/30/2023

- % Done changed from 40 to 60

#7 - 07/06/2023 06:03 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac
ISSUE FOUND *****

1.Set alignment on GUI

(resize responsible user input box)

2.Fix errors on Responsible User/Employee/ Account
(Input not clearing on change)

3.Set Proper alignment Between CODE:: NAME
(Auto completion field)

4.Set defaults on multi selection box

5.Set proper validations on date picker

(atleast one date is required)

#8 - 08/10/2023 09:54 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 08/10/2023 06:23 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.SHOWING ONLY ONE SERVICE IN LIST

#10 - 08/23/2023 06:50 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 08/24/2023 11:03 AM - unnikannan S
TESTED OK.

#12 - 10/12/2023 11:01 AM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew
ISSUE FOUNDED **

1.ERASER NOT WORKING

#13 - 10/13/2023 10:36 AM - Christy Saint

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 10/13/2023 04:32 PM - Seema Mathew
TESTING DONE

#15 - 10/16/2023 06:19 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED
1.ADD NO DATA POP UP

2.CONECT PRINT
3.ADD NEW BUTTON

#16 - 10/19/2023 07:43 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 10/25/2023 10:32 AM - unnikannan S
TESTING DONE

#18 - 10/26/2023 10:07 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR IN PRINT
2.SHOWING DATAS IN LIST WITHOUT ACCURATE DATA

#19 - 10/26/2023 10:20 AM - unnikannan S
unnikannan S wrote in #note-18:
ISSUE FOUNDED

FIXED - 1.ERROR IN PRINT
FIXED - 2.SHOWING DATAS IN LIST WITHOUT ACCURATE DATA IN FILTERS

#20 - 11/01/2023 09:21 PM - Junaid M

- Assignee changed from Christy Saint to Baseem Shan

#21 - 12/05/2023 03:13 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 12/05/2023 04:00 PM - unnikannan S
TESTING DONE

#23 - 12/30/2023 11:48 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
FIXED - 1.SHOW NO.OF VOID ITEMS IN LIST

FIXED - 2.MISSING SOLD ITEMS COUNT AFTER UPDATING XO PURCHASE
FIXED - 3.SHOW RESET BUTTON AFTER SHOWING DATA

#24 - 01/03/2024 10:30 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#25 - 01/04/2024 10:32 AM - unnikannan S
TESTING DONE

#26 - 03/01/2024 02:28 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

FIXED - 1.SHOWING DEFAULT TOTAL AND VALUE 0 IN PRINT not present in Ul
#27 - 03/05/2024 05:33 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 03/06/2024 12:12 PM - unnikannan S
TESTING DONE

#29 - 03/15/2024 11:59 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.SHOW DATAS OF XO DOCUMENTS

#30 - 03/20/2024 03:42 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#31 - 09/11/2024 01:53 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#32 - 09/24/2024 03:02 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

Current status filter not showing results when XO items are selected

#33 - 09/26/2024 03:47 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#34 - 11/15/2024 12:18 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

2-tsModel.ts 1.59 KB 12/05/2022 Junaid M
1-CsModel.cs 2.63 KB 12/05/2022 Junaid M
3-CsFile.cs 2.09 KB 12/05/2022 Junaid M
4-CsControllerFile.cs 16.4 KB 12/05/2022 Junaid M
5-TsFile.ts 13.5 KB 12/05/2022 Junaid M
6-HtmlFile.html 1.89 KB 12/05/2022 Junaid M
XO-LIST-QUERY.sql 1.83 KB 05/31/2023 Junaid M
